#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 one-liner
version:              2.1
visibility:           public
id:                   one-liner-2.1-3uRm8Hu4Urh5TKCSpMZ3ve
key:                  one-liner-2.1-3uRm8Hu4Urh5TKCSpMZ3ve
license:              BSD-3-Clause
maintainer:           sjoerd@w3future.com
author:               Sjoerd Visscher, Xia Li-yao
homepage:             https://github.com/sjoerdvisscher/one-liner
synopsis:             Constraint-based generics
description:
    Write short and concise generic instances of type classes.
    one-liner is particularly useful for writing default
    implementations of type class methods.

category:             Generics
abi:                  9491bce25699c8d1cb247b12aed9f7b2
exposed:              True
exposed-modules:
    Generics.OneLiner Generics.OneLiner.Binary
    Generics.OneLiner.Classes Generics.OneLiner.Internal
    Generics.OneLiner.Internal.Unary

import-dirs:          /usr/lib/ghc-9.2.8/site-local/one-liner-2.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/one-liner-2.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-one-liner
hs-libraries:         HSone-liner-2.1-3uRm8Hu4Urh5TKCSpMZ3ve
depends:
    base-4.16.4.0 bifunctors-5.6-APPSW8DCPtI5Bxlj9IXuMl
    contravariant-1.5.5-6oWUjmJNxDBFhugVD5s9dq ghc-prim-0.8.0
    linear-base-0.3.1-3ZBGMZzQAMs3f6yluAJlW6
    profunctors-5.6.2-IDT3gQTOCqT1ZN23x5NcdX
    tagged-0.8.9-KXBukbFHRBNBMyyfjfj7aP transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-one-liner/html/one-liner.haddock
haddock-html:         /usr/share/doc/haskell-one-liner/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

